/*	
	PixelFlipper.h
	written in Think C 4.0 by Chris Sanchez
	Copyright 1990 Chris Sanchez, All Rights Reserved
*/

#ifndef		_PixelFlipper_
#define		_PixelFlipper_

#include	<SetUpA4.h>
#include	<ColorToolbox.h>
#include	<SlotMgr.h>

/*	Macros		*/
#define MIN(a,b) (((a)<(b))?(a):(b))

/*	Constants	*/
#define		kOurCreat		'flip'
#define		kPrefType		'fper'
#define		kStrPixel		-14621
	#define		kBits				1
	#define		kComma			2
	#define		kGrayS			3
	#define		kColorS			4
	#define		kCurs				5
	#define		kPrefDir		6
	#define		kPrefFile		7
	#define		kAltDesig		8
	#define		kMenuStr		9
	#define		kSemiColon	10
	#define		kDev				11
	#define		kAlpha			12
	#define		kBeta				13
	#define		kfinal			14

#define		kStrErr			-14620
	#define		kCreating		1
	#define		kSaving			2
	#define		kOpeningPr	3
	#define		kNotLoaded	4
	#define		k604				5
	
#define		kbeforeID		-1
#define		kFlagCnt		1
#define		kColor			1
#define		kBW					0
#define		kShowID			128
#define		kBypass			0x2D
#define		kTempPerm		0x23
#define		kLeading		4
	
#define		kICNGood		-4064
#define		kCursID			-4064
#define		kDialID			-4065
#define		kICNBad			129
#define		kFlipMenuID	184

/* Mac constants */
#define		kGNETrap		0xA970
#define		kWNETrap		0xA860
#define		kUNITrap		0xA09F
#define		kMenuHook		0xA30

/* Dialog item list ID's	*/
#define		kRevert			1
#define		kB1					2
#define		kB2					3
#define		kCommand		4
#define		kOption			5
#define		kShift			6
#define		kControl		7
#define		kCapsLock		8
#define		kChanges		9
#define		kShowIcon		10
#define		kActive			11
#define		kInactive		12
#define		kAbout			16
#define		kCICN				17
#define		kUpdate			-1
#define		kCdevPict		128
#define		kCdevAbout	129
#define		kStrFolder	129

#define		TRUE				1
#define		FALSE				0
#define		NIL					0L
#define		myRefCon		16143
#define		nullStr			"\p"
#define 	development 0x20
#define		alpha 			0x40
#define 	beta 				0x60
#define		final 			0x80

enum	{ getting = 0, setting};

typedef	struct PREFRec{
			char		isPerm, showIcon;	/*	changes are perm, and show icon							*/
			short		hotKey;						/*	the activation sequence											*/
			Str255	ver;							/*	the version string prefs were created with	*/
			char		active;						/* is the INIT active														*/
		}PREFRec, *PREFPtr, **PREFHandle;

typedef	struct hdr{
			long		hdrVal;
			OSType	creator;
			PREFPtr	prefs;
		}hdr, *hdrPtr, **hdrHandle;

typedef struct VersRec{
			unsigned char		major;
			unsigned char		minor :4;
			unsigned char		bug :4;
			unsigned char		stage;
			unsigned char		revision;
			int							language;
			Str255					message;
			Str255					reserved;
	} VersRec, *VersRecPtr, **VersRecHdl;
#endif